package org.wso2.carbon.device.mgt.ios.payload.beans;

import org.testng.Assert;
import org.testng.annotations.Test;
import org.wso2.carbon.device.mgt.ios.payload.exception.PListException;
import org.wso2.carbon.device.mgt.ios.payload.exception.ProfileConfigurationException;
import org.wso2.carbon.device.mgt.ios.payload.operation.DeviceOperations;

public class DeviceOperationsTestSuite {

    @Test
    public void testDeviceLockPayload() throws ProfileConfigurationException, PListException {

        DeviceOperations deviceOperations = new DeviceOperations();
        GenericDeviceOperation genericDeviceOperation = new GenericDeviceOperation();

        Assert.assertNotNull(deviceOperations.createDeviceLockPayload(genericDeviceOperation));

    }

    @Test
    public void testApplicationListPayload() throws ProfileConfigurationException, PListException {

        DeviceOperations deviceOperations = new DeviceOperations();
        GenericDeviceOperation genericDeviceOperation = new GenericDeviceOperation();

        Assert.assertNotNull(deviceOperations.createApplicationListPayload(genericDeviceOperation));

    }

    @Test
    public void testProfileListPayload() throws ProfileConfigurationException, PListException {

        DeviceOperations deviceOperations = new DeviceOperations();
        GenericDeviceOperation genericDeviceOperation = new GenericDeviceOperation();

        Assert.assertNotNull(deviceOperations.createProfileListPayload(genericDeviceOperation));

    }

    @Test
    public void testClearPasscodePayload() throws ProfileConfigurationException, PListException {

        DeviceOperations deviceOperations = new DeviceOperations();
        GenericDeviceOperation genericDeviceOperation = new GenericDeviceOperation();

        Assert.assertNotNull(deviceOperations.createClearPasscodePayload(genericDeviceOperation, "test_token"));

    }

    @Test
    public void testDeviceInformationPayload() throws ProfileConfigurationException, PListException {

        DeviceOperations deviceOperations = new DeviceOperations();
        GenericDeviceOperation genericDeviceOperation = new GenericDeviceOperation();

        Assert.assertNotNull(deviceOperations.createDeviceInformationPayload(genericDeviceOperation));

    }

}
